
Foreman - Bug #5735

Deleting a pending certificate doesn't work

05/15/2014 02:24 PM - cristian falcas

Status: New   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When trying to delete a pending certificate, nothing happens.

Log from foreman:

Started DELETE "/smart_proxies/1-puppet-synygy-net/puppetca/tcs-ceph094.synygy.net?class=delete&state=pending" for

10.220.20.125 at 2014-05-15 10:23:13 -0400

Processing by PuppetcaController#destroy as HTML

Parameters: {"authenticity_token"=>"IACMWHE7icZKhkPT1Fn2rNcp4jT4VGHDbXvSVSeRkx8=", "class"=>"delete",

"state"=>"pending", "smart_proxy_id"=>"1-puppet-synygy-net", "id"=>"tcs-ceph094.synygy.net"}

Redirected to https://puppet.synygy.net/smart_proxies/1-puppet-synygy-net/puppetca?state=pending

Completed 302 Found in 1880ms (ActiveRecord: 3.1ms)

Started GET "/smart_proxies/1-puppet-synygy-net/puppetca?state=pending" for 10.220.20.125 at 2014-05-15 10:23:16 -0400

Processing by PuppetcaController#index as HTML

Parameters: {"state"=>"pending", "smart_proxy_id"=>"1-puppet-synygy-net"}

Rendered puppetca/index.html.erb within layouts/application (7.6ms)

Rendered home/_user_dropdown.html.erb (5.8ms)

Read fragment views/tabs_and_title_records-2 (0.1ms)

Rendered home/_organization_dropdown.html.erb (6.8ms)

Rendered home/_location_dropdown.html.erb (5.8ms)

Rendered home/_org_switcher.html.erb (13.1ms)

Rendered home/_submenu.html.erb (2.7ms)

Rendered home/_submenu.html.erb (3.2ms)

Rendered home/_submenu.html.erb (2.5ms)

Rendered home/_submenu.html.erb (2.6ms)

Rendered home/_submenu.html.erb (3.3ms)

Write fragment views/tabs_and_title_records-2 (2.1ms)

Rendered home/_topbar.html.erb (39.4ms)

Rendered layouts/base.html.erb (41.1ms)

Completed 200 OK in 2647ms (Views: 49.1ms | ActiveRecord: 2.9ms)

History

#1 - 05/15/2014 02:29 PM - Dominic Cleal

- Category set to PuppetCA
